package com.ss.android.ugc.aweme.shortvideo.model;

import android.os.Parcel;
import android.os.Parcelable;
import com.bytedance.covode.number.Covode;
import com.google.gson.a.c;
import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class AVUploadSaveModel implements Parcelable, Serializable {
    public static final Parcelable.Creator<AVUploadSaveModel> CREATOR = new Parcelable.Creator<AVUploadSaveModel>() {
        static {
            Covode.recordClassIndex(110967);
        }

        public final AVUploadSaveModel[] newArray(int i) {
            return new AVUploadSaveModel[i];
        }

        public final AVUploadSaveModel createFromParcel(Parcel parcel) {
            return new AVUploadSaveModel(parcel);
        }
    };
    @c(LIZ = "enable_silent_enhancement")
    public boolean enableSilentEnhancement;
    @c(LIZ = "image_mode_cover_path")
    public String imageModeCoverPath;
    @c(LIZ = "image_mode_cover_path_no_watermark")
    public String imageModeCoverPathNoWatermark;
    @c(LIZ = "image_mode_local_paths")
    public List<String> imageModeLocalPaths;
    @c(LIZ = "is_save_local")
    public boolean isSaveLocal;
    @c(LIZ = "is_water_mark")
    public boolean isWaterMark;
    @c(LIZ = "local_final_path")
    public String mLocalFinalPath;
    @c(LIZ = "local_silent_share_path")
    public String mLocalSilentSharePath;
    @c(LIZ = "local_temp_path")
    public String mLocalTempPath;
    @c(LIZ = "save_to_album")
    public boolean mSaveToAlbum;
    @c(LIZ = "save_private_path")
    public boolean mSaveToAppPathInsteadOfAlbum;
    @c(LIZ = "save_type")
    public int mSaveType;
    @c(LIZ = "save_with_caption")
    public boolean mSaveWithCaption;

    public int describeContents() {
        return 0;
    }

    public AVUploadSaveModel() {
    }

    public String getImageModeCoverPath() {
        return this.imageModeCoverPath;
    }

    public String getImageModeCoverPathNoWatermark() {
        return this.imageModeCoverPathNoWatermark;
    }

    public List<String> getImageModeLocalPaths() {
        return this.imageModeLocalPaths;
    }

    public String getLocalFinalPath() {
        return this.mLocalFinalPath;
    }

    public String getLocalSilentSharePath() {
        return this.mLocalSilentSharePath;
    }

    public String getLocalTempPath() {
        return this.mLocalTempPath;
    }

    public boolean getSaveToAlbum() {
        return this.mSaveToAlbum;
    }

    public int getSaveType() {
        return this.mSaveType;
    }

    public boolean isSaveToAppPathInsteadOfAlbum() {
        return this.mSaveToAppPathInsteadOfAlbum;
    }

    public boolean isSaveWithCaption() {
        return this.mSaveWithCaption;
    }

    public boolean isWaterMark() {
        return this.isWaterMark;
    }

    static {
        Covode.recordClassIndex(110966);
    }

    public boolean isSaveLocal() {
        if (this.isSaveLocal || this.mSaveToAlbum) {
            return true;
        }
        return false;
    }

    public boolean isSaveLocalWithWaterMark() {
        if ((this.isSaveLocal || this.mSaveToAlbum) && this.isWaterMark) {
            return true;
        }
        return false;
    }

    public boolean isSaveLocalWithoutWaterMark() {
        if ((this.isSaveLocal || this.mSaveToAlbum) && !this.isWaterMark) {
            return true;
        }
        return false;
    }

    public void setEnableSilentEnhancement(boolean z) {
        this.enableSilentEnhancement = z;
    }

    public void setImageModeCoverPath(String str) {
        this.imageModeCoverPath = str;
    }

    public void setImageModeCoverPathNoWatermark(String str) {
        this.imageModeCoverPathNoWatermark = str;
    }

    public void setImageModeLocalPaths(List<String> list) {
        this.imageModeLocalPaths = list;
    }

    public void setLocalFinalPath(String str) {
        this.mLocalFinalPath = str;
    }

    public void setLocalSilentSharePath(String str) {
        this.mLocalSilentSharePath = str;
    }

    public void setLocalTempPath(String str) {
        this.mLocalTempPath = str;
    }

    public void setSaveLocal(boolean z) {
        this.isSaveLocal = z;
    }

    public void setSaveToAlbum(boolean z) {
        this.mSaveToAlbum = z;
    }

    public void setSaveToAppPathInsteadOfAlbum(boolean z) {
        this.mSaveToAppPathInsteadOfAlbum = z;
    }

    public void setSaveType(int i) {
        this.mSaveType = i;
    }

    public void setSaveWithCaption(boolean z) {
        this.mSaveWithCaption = z;
    }

    public void setWaterMark(boolean z) {
        this.isWaterMark = z;
    }

    public AVUploadSaveModel(Parcel parcel) {
        boolean z;
        boolean z2;
        boolean z3;
        boolean z4;
        boolean z5 = true;
        if (parcel.readByte() != 0) {
            z = true;
        } else {
            z = false;
        }
        this.isWaterMark = z;
        if (parcel.readByte() != 0) {
            z2 = true;
        } else {
            z2 = false;
        }
        this.isSaveLocal = z2;
        this.mLocalTempPath = parcel.readString();
        this.mSaveType = parcel.readInt();
        if (parcel.readByte() != 0) {
            z3 = true;
        } else {
            z3 = false;
        }
        this.mSaveToAlbum = z3;
        if (parcel.readByte() != 0) {
            z4 = true;
        } else {
            z4 = false;
        }
        this.mSaveToAppPathInsteadOfAlbum = z4;
        this.enableSilentEnhancement = parcel.readByte() == 0 ? false : z5;
        ArrayList arrayList = new ArrayList();
        this.imageModeLocalPaths = arrayList;
        parcel.readStringList(arrayList);
        this.imageModeCoverPath = parcel.readString();
    }

    public void writeToParcel(Parcel parcel, int i) {
        parcel.writeByte(this.isWaterMark ? (byte) 1 : 0);
        parcel.writeByte(this.isSaveLocal ? (byte) 1 : 0);
        parcel.writeString(this.mLocalTempPath);
        parcel.writeInt(this.mSaveType);
        parcel.writeByte(this.mSaveToAlbum ? (byte) 1 : 0);
        parcel.writeByte(this.mSaveToAppPathInsteadOfAlbum ? (byte) 1 : 0);
        parcel.writeByte(this.enableSilentEnhancement ? (byte) 1 : 0);
        parcel.writeStringList(this.imageModeLocalPaths);
        parcel.writeString(this.imageModeCoverPath);
    }
}
